package com.jeeplus.modules.sg.managementcenter.project.entity;

import com.jeeplus.core.persistence.DataEntity;

import java.util.List;

/**
 * 项目关闭管理实体类
 * */
public class ClosureManage extends DataEntity<ClosureManage> {
    //储备项目暂定名称
    private String reserveProjectName;
    //储备项目暂定名称列表
    private List<String> reserveList;
    //项目定义
    private String projectId;
    //项目名称
    private String projectName;
    //交底状态
    private String status;
    //领料状态
    private String acquisitionStatus;
    //土建状态
    private String advanceStatus;
    //施工状态
    private String constructionStatus;
    //是否项目关闭
    private String whetherCloseStatus;
    //结算状态
    private String settStatus;
    //政策处理状态
    private String policyStatus;
    //资金计划管理
    private CapitalPlan capitalPlan;
    //设计费是否有问题
    private String designProblem;
    //监理费是否有问题
    private String supervisionProblem;
    //施工费是否有问题
    private String constructionProblem;

    public String getReserveProjectName() {
        return reserveProjectName;
    }

    public void setReserveProjectName(String reserveProjectName) {
        this.reserveProjectName = reserveProjectName;
    }

    public List<String> getReserveList() {
        return reserveList;
    }

    public void setReserveList(List<String> reserveList) {
        this.reserveList = reserveList;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getAcquisitionStatus() {
        return acquisitionStatus;
    }

    public void setAcquisitionStatus(String acquisitionStatus) {
        this.acquisitionStatus = acquisitionStatus;
    }

    public String getAdvanceStatus() {
        return advanceStatus;
    }

    public void setAdvanceStatus(String advanceStatus) {
        this.advanceStatus = advanceStatus;
    }

    public String getConstructionStatus() {
        return constructionStatus;
    }

    public void setConstructionStatus(String constructionStatus) {
        this.constructionStatus = constructionStatus;
    }

    public String getWhetherCloseStatus() {
        return whetherCloseStatus;
    }

    public void setWhetherCloseStatus(String whetherCloseStatus) {
        this.whetherCloseStatus = whetherCloseStatus;
    }

    public String getSettStatus() {
        return settStatus;
    }

    public void setSettStatus(String settStatus) {
        this.settStatus = settStatus;
    }

    public String getPolicyStatus() {
        return policyStatus;
    }

    public void setPolicyStatus(String policyStatus) {
        this.policyStatus = policyStatus;
    }

    public CapitalPlan getCapitalPlan() {
        return capitalPlan;
    }

    public void setCapitalPlan(CapitalPlan capitalPlan) {
        this.capitalPlan = capitalPlan;
    }

    public String getDesignProblem() {
        return designProblem;
    }

    public void setDesignProblem(String designProblem) {
        this.designProblem = designProblem;
    }

    public String getSupervisionProblem() {
        return supervisionProblem;
    }

    public void setSupervisionProblem(String supervisionProblem) {
        this.supervisionProblem = supervisionProblem;
    }

    public String getConstructionProblem() {
        return constructionProblem;
    }

    public void setConstructionProblem(String constructionProblem) {
        this.constructionProblem = constructionProblem;
    }
}
